OpenCV: cv::videostab::MotionEstimatorBase Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::videostab::MotionEstimatorBase Class Referenceabstract
Video Stabilization » Global Motion Estimation

Base class for all global motion estimation methods. More...

`#include "global_motion.hpp"`

Inheritance diagram for cv::videostab::MotionEstimatorBase:

## Public Member Functions
virtual | ~MotionEstimatorBase ()
virtual Mat | estimate (InputArray points0, InputArray points1, bool *ok=0)=0
| Estimates global motion between two 2D point clouds. More...
virtual MotionModel | motionModel () const
virtual void | setMotionModel (MotionModel val)
| Sets motion model. More...

## Protected Member Functions
| MotionEstimatorBase (MotionModel model)

## Detailed Description

Base class for all global motion estimation methods.

## Constructor & Destructor Documentation

## ◆ ~MotionEstimatorBase()

virtual cv::videostab::MotionEstimatorBase::~MotionEstimatorBase | ( |  | ) |
| inlinevirtual

## ◆ MotionEstimatorBase()

cv::videostab::MotionEstimatorBase::MotionEstimatorBase | ( | MotionModel | model | ) |
| inlineprotected

## Member Function Documentation

## ◆ estimate()

virtual Mat cv::videostab::MotionEstimatorBase::estimate | ( | InputArray | points0,
|  | InputArray | points1,
|  | bool * | ok = `0`
| ) |  |
| pure virtual

Estimates global motion between two 2D point clouds.

Parameters

  points0 | Source set of 2D points (32F).
  points1 | Destination set of 2D points (32F).
  ok | Indicates whether motion was estimated successfully.

Returns
  3x3 2D transformation matrix (32F).

Implemented in cv::videostab::MotionEstimatorL1, and cv::videostab::MotionEstimatorRansacL2.

## ◆ motionModel()

virtual MotionModel cv::videostab::MotionEstimatorBase::motionModel | ( |  | ) | const
| inlinevirtual

Returns
  Motion model. See cv::videostab::MotionModel.

## ◆ setMotionModel()

virtual void cv::videostab::MotionEstimatorBase::setMotionModel | ( | MotionModel | val | ) |
| inlinevirtual

Sets motion model.

Parameters

  val | Motion model. See cv::videostab::MotionModel.

The documentation for this class was generated from the following file:

- videostab/include/opencv2/videostab/global_motion.hpp